{% extends "src/elements/_template.njk" %}
{% set title = "Список страниц" %}
{% block content %}
    <h1>{{ title }}</h1>
    <ul class="mb-40">
        <li><a href="home.html">Главная</a></li>
        <li><a href="quiz_step_2.html">Второй этап квиза</a></li>
        <li><a href="poster.html">Экран после прохождения квиза</a></li>
        <li><a href="currency.html">Личный курс валют</a></li>
        <li><a href="currency_v2.html">Личный курс валют 2</a></li>
        <li><a href="currency_v3.html">Личный курс валют 3</a></li>
        <li><a href="clients.html">Клиенты 1</a></li>
        <li><a href="clients_2.html">Клиенты 2</a></li>
        <li><a href="account.html">Аккаунты</a></li>
        <li><a href="data.html">Данные</a></li>
        <li><a href="database.html">База данных</a></li>
        <li><a href="profile_edit.html">Редактирование профиля</a></li>
        <li><a href="messages.html">Общие сообщения</a></li>
        <li></li>
        <li><a href="users.html">Пользователи</a></li>
        <li><a href="user_edit.html">Редактирование данных пользователя (основные)</a></li>
        <li><a href="user_edit_2.html">Редактирование данных пользователя (Деятельность)</a></li>
        <li><a href="user_edit_3.html">Редактирование данных пользователя (Системные параметры)</a></li>
        <li><a href="mail_history.html">История рассылок</a></li>
        <li><a href="private_message.html">Личные сообщения</a></li>
        <li><a href="404.html">404</a></li>
        <li><a href="reg.html">Регистрация</a></li>
        <li><a href="enter.html">Войти в аккаунт</a></li>
        <li><a href="recovery.html">Восстановление пароля</a></li>
        <li></li>
        <li><a href="aliases_creating.html">Создание псевдонимов</a></li>
        <li><a href="dashboard.html">Дашборд</a></li>
        <li><a href="retro_data.html">Загрузка ретро данных</a></li>
    </ul>
    <h2>Modal</h2>
    <ul>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#category_create">
                Создание категории
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#sending">
                Отправка рассылки
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#sending_2">
                Отправка рассылки 2
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#new_message">
                Создать личное сообщение
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#new_message_uploaded">
                Создать личное сообщение (прикреплены файлы)
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#edit_categories">
                Редактор категорий
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#options_categories">
                Параметры категорий
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#delete_category">
                Удаление категории
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#currency_add">
                Добавление курса валют
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#alias_edit">
                Редактирование псевдонима
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#data_edit">
                Редактирование данных
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#password_edit">
                Изменение пароля
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#download_data">
                Скачивание данных
            </button>
        </li>
        <li></li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#mailing_create">
                Создание рассылки
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#mailing_edit">
                Редактирование рассылки
            </button>
        </li>
        <li>
            <button type="button" class="btn-text" data-bs-toggle="modal" data-bs-target="#client_add">
                Добавление клиента
            </button>
        </li>
    </ul>



{% endblock %}

{% block modal %}
        {% include "src/elements/modal.njk" %}
{% endblock %}

{% block pageCss %}
    <link href="https://cdn.jsdelivr.net/npm/quill@2.0.0-rc.4/dist/quill.snow.css" rel="stylesheet">
{% endblock %}

{% block pageScripts %}
    <script src="https://cdn.jsdelivr.net/npm/quill@2.0.0-rc.4/dist/quill.js"></script>
    <script>
        if (document.querySelectorAll('[data-custom-editor]').length > 0) {
            document.querySelectorAll('[data-custom-editor]').forEach(elem => {
                new Quill(elem, {
                    theme: 'snow'
                });
            });
        }
    </script>
{% endblock %}

